org.jfree.report.data

## Class ImportedVariablesDataRow

- java.lang.Object
- - org.jfree.report.data.StaticDataRow
  - - org.jfree.report.data.ImportedVariablesDataRow

- All Implemented Interfaces:
    DataRow, DataSet

      public class ImportedVariablesDataRow
      extends StaticDataRow

  Creation-Date: 06.03.2006, 18:15:06
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ImportedVariablesDataRow(GlobalMasterRow innerRow)`
    `` | `ImportedVariablesDataRow(GlobalMasterRow innerRow, ParameterMapping[] parameterMappings)` Maps the inner-row into the outer data row.
    `protected` | `ImportedVariablesDataRow(ImportedVariablesDataRow dataRow)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImportedVariablesDataRow` | `advance(GlobalMasterRow innerRow)`

    - ### Methods inherited from class org.jfree.report.data.StaticDataRow

      `get, get, getColumnCount, getColumnName, getFlags, getFlags, setData, updateData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportedVariablesDataRow

          public ImportedVariablesDataRow(GlobalMasterRow innerRow)
                                   throws DataSourceException

      Throws:
        `DataSourceException`

    - #### ImportedVariablesDataRow

          public ImportedVariablesDataRow(GlobalMasterRow innerRow,
                                          ParameterMapping[] parameterMappings)
                                   throws DataSourceException

      Maps the inner-row into the outer data row. The parameter mapping's name represents the *outer* name and the innernames.
      Parameters:
        `innerRow` -
        `parameterMappings` -
      Throws:
        `DataSourceException`

    - #### ImportedVariablesDataRow

          protected ImportedVariablesDataRow(ImportedVariablesDataRow dataRow)

  - ### Method Detail

    - #### advance

          public ImportedVariablesDataRow advance(GlobalMasterRow innerRow)
                                           throws DataSourceException

      Throws:
        `DataSourceException`